BizKitHub
DocsAPI ReferencePost Authors/bff/post-author/upload-avatar
postPost AuthorsAdmin BFF

/bff/post-author/upload-avatar

Upload author avatar override

Post AuthorspostBffPost-authorUpload-avatar

Parameters

JSON body

Request body

application/json
idstringRequired

content__author.external_id.

Length: 1–16
filestringRequiredbinary

Image file.

Default: File

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/post-author/upload-avatar

post
curl -X POST "https://api.bizkithub.com/bff/post-author/upload-avatar" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id",
  "file": "File"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key